import 'package:templatr/src/widget.dart';

String dialog({
  String id,
  Map<String, String> style,
  List<String> classes,
  List<String> content,
  String label,
  bool showHeader = true,
}) =>
    ElementWidget(
      'sl-dialog',
      id: id,
      style: style,
      classes: classes,
      attributes: {'label': label, 'no-header': !showHeader},
      newlineAfterStart: true,
    )(content);

Map<String, dynamic> footer = {'slot': 'footer'};
