import 'package:templatr/widget.dart';

String menu({String id, Map<String, String> style, List<String> classes, List<String> items = const []}) =>
    ElementWidget(
      'sl-menu',
      id: id,
      style: style,
      classes: classes,
      newlineAfterStart: true,
    )(items);

String menuItem(String caption, {String value, bool checked, bool disabled, List<String> classes}) => ElementWidget(
      'sl-menu-item',
      attributes: {
        'value': value,
        'checked': checked,
        'disabled': disabled,
      },
      classes: classes,
    )(caption);

String menuLabel(String caption) => ElementWidget('sl-menu-label')(caption);

String menuDivider = ElementWidget('sl-menu-divider', collapse: false)();
